@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300&display=swap');

:root {
    --green-vogue: #0f3c4b;
    --pattens-blue: #e5edf1;
    --botticelli: #92b0b3;
    --onahau: #c8dadf;
    --white: #f3f3f3;
}

body {
    margin: 0;
    background-color: var(--pattens-blue);
    font-family: 'Press Start 2P', 'Arial Black', cursive;
    color: var(--green-vogue);
}

p {
    word-break: break-all;
    line-height: 2vw;
}

#work-area {
    width: 100vw;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#typedtext {
    margin-top: 0;
}

.input-text:after {
    content: '_';
    animation: carriage_blink .7s infinite cubic-bezier(1,1,1,1);
    -webkit-animation: carriage_blink .7s infinite cubic-bezier(1,1,1,1);
    -o-animation: carriage_blink .7s infinite cubic-bezier(1,1,1,1);
    -moz-animation: carriage_blink .7s infinite cubic-bezier(1,1,1,1);
}

@keyframes carriage_blink {
    0%, 100% {
        opacity: 1;
    }
    50% {
        opacity: 0;
    }
}

#my-form {
    font-size: 1.5vw;
}

#drop-area {
    background-color: var(--onahau);
    outline: 2px dashed var(--botticelli);
    outline-offset: -1vw;
    width: 54vw;
    padding: 2vw;
}

#drop-area.highlight {
    border-color: black;
}

#gallery {
    margin-top: 10px;
}
#gallery img {
    width: 150px;
    margin-bottom: 10px;
    margin-right: 10px;
    vertical-align: middle;
}
.button {
    width: 17vw;
    height: 1.5vw;
    display: inline-block;
    padding: 1vw;
    background: #ccc;
    cursor: pointer;
    border-radius: 5px;
    border: 1px solid #ccc;
}
.button:hover {
    background: #ddd;
}
#file-input {
    display: none;
}

.row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#result-message {
    max-width: 33vw;
    margin: 0;
    padding: 0 1vw;
}